#
# Slicer3Config.cmake - Slicer3 CMake configuration file for external projects
#
# This file is configured by Slicer3 and used by UseSlicer3.cmake module
# to load Slicer3's settings for an external project. External projects
# can use these setting to build new modules against a Slicer3 build tree
# or a Slicer3 installation.
#

# The Slicer3 include file directories.
SET(Slicer3_INCLUDE_DIRS "/usr/local/Slicer3/")

# The Slicer3 library directories.
SET(Slicer3_LIBRARY_DIRS "/usr/local/bin")

# The C and C++ flags added by Slicer3 to the cmake-configured flags.
SET(Slicer3_REQUIRED_C_FLAGS "")
SET(Slicer3_REQUIRED_CXX_FLAGS "")
SET(Slicer3_REQUIRED_LINK_FLAGS "")

# The Slicer3 version number
SET(Slicer3_VERSION_MAJOR "3")
SET(Slicer3_VERSION_MINOR "0")
SET(Slicer3_VERSION_PATCH "2008-01-05")

# The location of the UseSlicer3.cmake file.
SET(Slicer3_USE_FILE "/usr/local/lib/UseSlicer3.cmake")

# The build settings file.
SET(Slicer3_BUILD_SETTINGS_FILE "")

# Whether Slicer3 was built with shared libraries.
SET(Slicer3_BUILD_SHARED "ON")

# Components needed to build modules from outside a Slicer3 build tree or 
# from outside a Slicer3 installation tree
SET(TCLAP_DIR "/usr/local/lib/tclap")
SET(ModuleDescriptionParser_DIR "/usr/local/lib/ModuleDescriptionParser")
SET(GenerateCLP_DIR "/usr/local/lib/GenerateCLP")
SET(GenerateCLP_USE_FILE "/usr/local/Libs/GenerateCLP/UseGenerateCLP.cmake")
SET(GENERATECLP_EXE "")
